JACK-STDOUT(1)

NAME
jack-stdout - write JACK audio data to stdout

SYNOPSIS

jack-stdout [OPTIONS] port1 [ port2 ...]

DESCRIPTION

jack-stdout captures audio from JACK and writes raw data to standard-output.

The number of given ports detemine the number of audio channels that are used. If more than one channel is given, the audio-sample data will be interleaved.

OPTIONS

-b, --bitdepth BITS
    Specify the bit-depth of each sample. For integer-encoding this can be 16 or 24. The default is 16. This setting is only used for integer encoding: Floating-point samples will always be 32 bit wide.

-d, --duration SEC
    Specify the time for which jack-stdout should run in seconds. A value less than 1 means to run indefinitely. The default is 0.

-e, --encoding FORMAT
    Set the output format of the data: signed-integer, unsigned-integer, floating-point (default: signed)

-n, --name CLIENTNAME
    Set JACK client name (default: jstdout)

-h, --help
    Print a brief usage information

-L, --little-endian
    Write little-endian data or native-byte-order float (this is the default)

-B, --big-endian
    Output big-endian data or swap the byte-order of floating-point

-q, --quiet
    Inhibit usual output. This affects information and buffer-overflow warnings but not setup-errors.

-S, --bufsize SAMPLES
    Choose the internal buffer-size in samples. The default size is 65536. The given value will be multiplied by the number of channels and bit-depth to get the size of the ring-buffer.

EXAMPLES
  jack-stdout xmms_0:out_1 xmms_0:out_2 \
  | mono  ~/Desktop/Downloads/JustePort.exe - 10.0.1.6 0

  jack-stdout -b 24 -e unsigned -B system:capture_1 system:capture_2 \
  | sox -t raw -r 48k -e unsigned -b 24 -B -c 2 - /tmp/recording.wav

  jack-stdout system:capture_1 system:capture_2 \
  | oggenc -r -R 48000 -B 16 -C 2 - \
  > /tmp/recording.ogg

  jack-stdout system:capture_1 \
  | oggenc -r -R 48000 -B 16 -C 1 - \
  | oggfwd -p -n "my live stream" localhost 5900 hackme live.ogg

AUTHOR
Robin Gareus <robin@gareus.org>.

SEE ALSO
http://jackaudio.org/,